import { StatusBar } from 'expo-status-bar';
import { StyleSheet, Text, View } from 'react-native';
import React, { Component } from 'react'

import ResultView from './components/ResultView'
import KeyboardView from './components/KeyboardView'
import calcLogic from './ClacLogic';
import { Dimensions } from 'react-native';

export default class App extends Component {
    constructor(props) {
        super(props);
        this.state = {
            equation: '',
            result: '',
            portait: false,
        }
    }

    updateOrientation() {
        let dim = Dimensions.get('screen');
        this.setState({
            portait: dim.height >= dim.width
        })
    }

    componentDidMount() {
        Dimensions.addEventListener("change", () => {
            this.updateOrientation();
        });
        this.updateOrientation();
    }
    
    render() {
        return (
            <View style={styles.container}>
            <StatusBar />
            <ResultView equation={this.state.equation} result={`=${this.state.result}`} />
            <KeyboardView onKeyTap={this.onKeyTap.bind(this)} portait={this.state.portait}/>
            </View>
        );
    }
    
    onKeyTap() {
        this.setState({
            equation: calcLogic.equation,
            result: calcLogic.result,
        });
    }
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: '#111',
        justifyContent: 'flex-end',
    },
});
    